Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.extension
Interface Extension

All Superinterfaces:
  Configurable

All Known Implementing Classes:
  SimpleExtension

public interface Extension
extends Configurable

Extension is an interface used to identify a class as a being a dbXML extension. An Extension is an object that is designed specifically to extend or refine access to a dbXML Collection.

Method Summary
`Collection` | `getCollection()` getCollection returns the Collection context for this Extension.
`java.lang.String` | `getName()` getName returns the name of this Extension.
`void` | `setCollection(Collection collection)` setCollection sets the Collection context for this Extension.

Methods inherited from interface com.dbxml.util.Configurable
`getConfig, setConfig`

Method Detail

### getName

    public java.lang.String getName()

  getName returns the name of this Extension.

  Returns:
    the Extension name

### setCollection

    public void setCollection(Collection collection)

  setCollection sets the Collection context for this Extension.

  Parameters:
    `collection` - The Collection

### getCollection

    public Collection getCollection()

  getCollection returns the Collection context for this Extension.

  Returns:
    The Collection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group